# $Revision: 1.4 $, $Date: 2010/11/04 10:52:32 $
# TODO:
# - check x86_64 arch, and when needed, please apply this patch:
#	http://repos.archlinux.org/wsvn/community/gcolor2/trunk/gcolor2-0.4-amd64.patch
Summary:	gcolor2 is a simple color selector
Name:		gcolor2
Version:	0.4
Release:	2
License:	GPL v2
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/project/gcolor2/gcolor2/0.4/%{name}-%{version}.tar.bz2
# Source0-md5:	223a126b8a87234d1552be4be4140789
Source1:	%{name}.desktop
Patch0:		%{name}-missing-includes.patch
URL:		http://gcolor2.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cairo-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	intltool
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gcolor2 is a simple color selector that was originally based on
gcolor, ported to use GTK+2, and now has a completely new UI.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/%{name}
%{_pixmapsdir}/%{name}
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gcolor2.spec,v $
Revision 1.4  2010/11/04 10:52:32  baggins
- rel 2
- fix segfault (https://bugzilla.redhat.com/show_bug.cgi?id=525783)

Revision 1.3  2010/11/04 10:35:09  baggins
- rel 1

Revision 1.2  2010/03/14 00:33:24  sparky
- BR: autoconf, automake, gtk+2-devel, intltool, libtool, pkgconfig

Revision 1.1  2010/03/01 15:38:12  uzsolt
- initial

